Quantcast

OSProcess

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

OSProcess

Stéphane Ducasse
Hi guys

I'm updtating the ConfigurationOfCoral and I loaded


baseline

spec project: 'OSProcess' with: [
                                spec
                                        className: 'ConfigurationOfOSProcess';
                                        file: 'ConfigurationOfOSProcess';
                                        version: '4.4.0';
                                        repository: 'http://www.squeaksource.com/OSProcess' ].


version

spec for: #'common' do: [
        spec
                package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
                project: 'OSProcess' with: '4.4.0';
                package: 'AST-Core' with: 'AST-Core-lr.87';
                package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
                package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
                package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]

and when I run the test I get accessor error.

Any idea what would be problem?
The VM?

I use 5.7b3

Sted
               

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

stephane ducasse
I saw the mail of miguel :)

Do you know if OSProcess is working on 1.3?


Hi all,

I have updated the Metacello configuration for OSProcess.

Changes
-------

- Uses symbolic versions
- Adds support for release 4.4.0 of OSProcess
- Applies MetacelloToolBox validations to the old versions of the
configuration and corrects them

Install
--------

In a PharoCore image evaluate in a workspace:

Gofer it
 squeaksource: 'MetacelloRepository';
 package: 'ConfigurationOfOSProcess';
 load.
((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
#stable) load.

This will install the stable version for the platform you are installing
to. This is using symbolic versions and permits to rely on the
maintainers to specify the stable version (4.3.11, 4.3.12, 4.4.0) for a
given platform version (PharoCore 1.1.1, PharoCore 1.2).

Other versions and groups
---------------------------

To load older versions:

((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
'4.3.11') load.

To load other groups:

((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
#stable) load: 'Tests'.

or

((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
'4.3.11') load: 'Tests'.


Platforms
----------

This was tested on

- PharoCore 1.1.1
 190 run, 190 passes, 0 expected failures, 0 failures, 0 errors, 0
unexpected passes

- PharoCore 1.2 (build #199 from Hudson)
 190 run, 190 passes, 0 expected failures, 0 failures, 0 errors, 0
unexpected passes

P.S. I'm cross-posting to pharo and metacello lists but I don't know
what is the correct way to announce a new configuration. Advise?

Enjoy!
--
Miguel Cobá
http://twitter.com/MiguelCobaMtz
http://miguel.leugim.com.mx


On Mar 7, 2011, at 11:44 AM, Stéphane Ducasse wrote:

> Hi guys
>
> I'm updtating the ConfigurationOfCoral and I loaded
>
>
> baseline
>
> spec project: 'OSProcess' with: [
> spec
> className: 'ConfigurationOfOSProcess';
> file: 'ConfigurationOfOSProcess';
> version: '4.4.0';
> repository: 'http://www.squeaksource.com/OSProcess' ].
>
>
> version
>
> spec for: #'common' do: [
> spec
> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
> project: 'OSProcess' with: '4.4.0';
> package: 'AST-Core' with: 'AST-Core-lr.87';
> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>
> and when I run the test I get accessor error.
>
> Any idea what would be problem?
> The VM?
>
> I use 5.7b3
>
> Sted
>


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

Stéphane Ducasse
I tried in 1.2- Core and it did not work. :(

Stef

On Mar 7, 2011, at 11:58 AM, stephane ducasse wrote:

> I saw the mail of miguel :)
>
> Do you know if OSProcess is working on 1.3?
>
>
> Hi all,
>
> I have updated the Metacello configuration for OSProcess.
>
> Changes
> -------
>
> - Uses symbolic versions
> - Adds support for release 4.4.0 of OSProcess
> - Applies MetacelloToolBox validations to the old versions of the
> configuration and corrects them
>
> Install
> --------
>
> In a PharoCore image evaluate in a workspace:
>
> Gofer it
> squeaksource: 'MetacelloRepository';
> package: 'ConfigurationOfOSProcess';
> load.
> ((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
> #stable) load.
>
> This will install the stable version for the platform you are installing
> to. This is using symbolic versions and permits to rely on the
> maintainers to specify the stable version (4.3.11, 4.3.12, 4.4.0) for a
> given platform version (PharoCore 1.1.1, PharoCore 1.2).
>
> Other versions and groups
> ---------------------------
>
> To load older versions:
>
> ((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
> '4.3.11') load.
>
> To load other groups:
>
> ((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
> #stable) load: 'Tests'.
>
> or
>
> ((Smalltalk globals at: #ConfigurationOfOSProcess) project version:
> '4.3.11') load: 'Tests'.
>
>
> Platforms
> ----------
>
> This was tested on
>
> - PharoCore 1.1.1
> 190 run, 190 passes, 0 expected failures, 0 failures, 0 errors, 0
> unexpected passes
>
> - PharoCore 1.2 (build #199 from Hudson)
> 190 run, 190 passes, 0 expected failures, 0 failures, 0 errors, 0
> unexpected passes
>
> P.S. I'm cross-posting to pharo and metacello lists but I don't know
> what is the correct way to announce a new configuration. Advise?
>
> Enjoy!
> --
> Miguel Cobá
> http://twitter.com/MiguelCobaMtz
> http://miguel.leugim.com.mx
>
>
> On Mar 7, 2011, at 11:44 AM, Stéphane Ducasse wrote:
>
>> Hi guys
>>
>> I'm updtating the ConfigurationOfCoral and I loaded
>>
>>
>> baseline
>>
>> spec project: 'OSProcess' with: [
>> spec
>> className: 'ConfigurationOfOSProcess';
>> file: 'ConfigurationOfOSProcess';
>> version: '4.4.0';
>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>
>>
>> version
>>
>> spec for: #'common' do: [
>> spec
>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>> project: 'OSProcess' with: '4.4.0';
>> package: 'AST-Core' with: 'AST-Core-lr.87';
>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>
>> and when I run the test I get accessor error.
>>
>> Any idea what would be problem?
>> The VM?
>>
>> I use 5.7b3
>>
>> Sted
>>
>
>


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

David T. Lewis
In reply to this post by Stéphane Ducasse
On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:

> Hi guys
>
> I'm updtating the ConfigurationOfCoral and I loaded
>
>
> baseline
>
> spec project: 'OSProcess' with: [
> spec
> className: 'ConfigurationOfOSProcess';
> file: 'ConfigurationOfOSProcess';
> version: '4.4.0';
> repository: 'http://www.squeaksource.com/OSProcess' ].
>
>
> version
>
> spec for: #'common' do: [
> spec
> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
> project: 'OSProcess' with: '4.4.0';
> package: 'AST-Core' with: 'AST-Core-lr.87';
> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>
> and when I run the test I get accessor error.
>
> Any idea what would be problem?
> The VM?
>
> I use 5.7b3

Hi Stef,

This probably just means that your VM does not have OSProcessPlugin.
Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
means that you do not have the plugin.

Dave
 

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

Stéphane Ducasse
Thanks david

Apparently my vm does not have any plugin.
I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
and apparently when I open an image with OSProcess 4.4.0
the system crashes. I will try to find a mac vm with plugins.
But if somebody knows it, this is an information I'm looking for.
Stef


On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:

> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
>> Hi guys
>>
>> I'm updtating the ConfigurationOfCoral and I loaded
>>
>>
>> baseline
>>
>> spec project: 'OSProcess' with: [
>> spec
>> className: 'ConfigurationOfOSProcess';
>> file: 'ConfigurationOfOSProcess';
>> version: '4.4.0';
>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>
>>
>> version
>>
>> spec for: #'common' do: [
>> spec
>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>> project: 'OSProcess' with: '4.4.0';
>> package: 'AST-Core' with: 'AST-Core-lr.87';
>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>
>> and when I run the test I get accessor error.
>>
>> Any idea what would be problem?
>> The VM?
>>
>> I use 5.7b3
>
> Hi Stef,
>
> This probably just means that your VM does not have OSProcessPlugin.
> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
> means that you do not have the plugin.
>
> Dave
>
>


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

Stéphane Ducasse
I tried Squeak4.2.5Beta1U and when I run the tests I get
        forkSqueak requires XDisplayControlPlugin
So it seems that I will not be able to run Coral.

Stef


> Thanks david
>
> Apparently my vm does not have any plugin.
> I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
> and apparently when I open an image with OSProcess 4.4.0
> the system crashes. I will try to find a mac vm with plugins.
> But if somebody knows it, this is an information I'm looking for.
> Stef
>
>
> On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:
>
>> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
>>> Hi guys
>>>
>>> I'm updtating the ConfigurationOfCoral and I loaded
>>>
>>>
>>> baseline
>>>
>>> spec project: 'OSProcess' with: [
>>> spec
>>> className: 'ConfigurationOfOSProcess';
>>> file: 'ConfigurationOfOSProcess';
>>> version: '4.4.0';
>>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>>
>>>
>>> version
>>>
>>> spec for: #'common' do: [
>>> spec
>>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>>> project: 'OSProcess' with: '4.4.0';
>>> package: 'AST-Core' with: 'AST-Core-lr.87';
>>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>>
>>> and when I run the test I get accessor error.
>>>
>>> Any idea what would be problem?
>>> The VM?
>>>
>>> I use 5.7b3
>>
>> Hi Stef,
>>
>> This probably just means that your VM does not have OSProcessPlugin.
>> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
>> means that you do not have the plugin.
>>
>> Dave
>>
>>
>
>


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

EstebanLM
Hi Stef,
I'm attaching a plugin compiled that *should* work with 5.7.4
Please, let me know if it is not the case, and I'll try a fix :)

Cheers,
Esteban





El 07/03/2011, a las 12:17p.m., Stéphane Ducasse escribió:

> I tried Squeak4.2.5Beta1U and when I run the tests I get
> forkSqueak requires XDisplayControlPlugin
> So it seems that I will not be able to run Coral.
>
> Stef
>
>
>> Thanks david
>>
>> Apparently my vm does not have any plugin.
>> I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
>> and apparently when I open an image with OSProcess 4.4.0
>> the system crashes. I will try to find a mac vm with plugins.
>> But if somebody knows it, this is an information I'm looking for.
>> Stef
>>
>>
>> On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:
>>
>>> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
>>>> Hi guys
>>>>
>>>> I'm updtating the ConfigurationOfCoral and I loaded
>>>>
>>>>
>>>> baseline
>>>>
>>>> spec project: 'OSProcess' with: [
>>>> spec
>>>> className: 'ConfigurationOfOSProcess';
>>>> file: 'ConfigurationOfOSProcess';
>>>> version: '4.4.0';
>>>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>>>
>>>>
>>>> version
>>>>
>>>> spec for: #'common' do: [
>>>> spec
>>>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>>>> project: 'OSProcess' with: '4.4.0';
>>>> package: 'AST-Core' with: 'AST-Core-lr.87';
>>>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>>>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>>>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>>>
>>>> and when I run the test I get accessor error.
>>>>
>>>> Any idea what would be problem?
>>>> The VM?
>>>>
>>>> I use 5.7b3
>>>
>>> Hi Stef,
>>>
>>> This probably just means that your VM does not have OSProcessPlugin.
>>> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
>>> means that you do not have the plugin.
>>>
>>> Dave
>>>
>>>
>>
>>
>
>


UnixOSProcessPlugin.bundle.zip (60K) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

Stéphane Ducasse
Thanks a lot
I copied in the resources folder of 5.7.4
It crashes.
Estaban if you want to get an image crashing:

        Gofer new
                squeaksource: 'Coral';
                package: 'ConfigurationOfCoral';
        load

and (ConfigurationOfCoral project version: '0.4') load
as explained in the class comment.

Stef



On Mar 7, 2011, at 5:00 PM, Esteban Lorenzano wrote:

> Hi Stef,
> I'm attaching a plugin compiled that *should* work with 5.7.4
> Please, let me know if it is not the case, and I'll try a fix :)
>
> Cheers,
> Esteban
>
> <UnixOSProcessPlugin.bundle.zip>
>
>
> El 07/03/2011, a las 12:17p.m., Stéphane Ducasse escribió:
>
>> I tried Squeak4.2.5Beta1U and when I run the tests I get
>> forkSqueak requires XDisplayControlPlugin
>> So it seems that I will not be able to run Coral.
>>
>> Stef
>>
>>
>>> Thanks david
>>>
>>> Apparently my vm does not have any plugin.
>>> I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
>>> and apparently when I open an image with OSProcess 4.4.0
>>> the system crashes. I will try to find a mac vm with plugins.
>>> But if somebody knows it, this is an information I'm looking for.
>>> Stef
>>>
>>>
>>> On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:
>>>
>>>> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
>>>>> Hi guys
>>>>>
>>>>> I'm updtating the ConfigurationOfCoral and I loaded
>>>>>
>>>>>
>>>>> baseline
>>>>>
>>>>> spec project: 'OSProcess' with: [
>>>>> spec
>>>>> className: 'ConfigurationOfOSProcess';
>>>>> file: 'ConfigurationOfOSProcess';
>>>>> version: '4.4.0';
>>>>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>>>>
>>>>>
>>>>> version
>>>>>
>>>>> spec for: #'common' do: [
>>>>> spec
>>>>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>>>>> project: 'OSProcess' with: '4.4.0';
>>>>> package: 'AST-Core' with: 'AST-Core-lr.87';
>>>>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>>>>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>>>>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>>>>
>>>>> and when I run the test I get accessor error.
>>>>>
>>>>> Any idea what would be problem?
>>>>> The VM?
>>>>>
>>>>> I use 5.7b3
>>>>
>>>> Hi Stef,
>>>>
>>>> This probably just means that your VM does not have OSProcessPlugin.
>>>> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
>>>> means that you do not have the plugin.
>>>>
>>>> Dave
>>>>
>>>>
>>>
>>>
>>
>>
>


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

David T. Lewis
I do not know if it applies here, but the plugins might not be
interchangeable between Cog and the standard VM. The interpreter
proxy interfaces are different, and oscog has changes to an internal
data structure in the file plugin then might cause problems. I
have not looked at it in detail, so just be aware that there could
be problems if you use a plugin from the standard VM with cog or
vice versa.

Also, IIRC there were some earlier OS X VMs (maybe 5.7.4???) that
accidently contained a very old OSPP version, and this version
could also lead to a crash on OS X.

Dave


On Mon, Mar 07, 2011 at 05:14:48PM +0100, St?phane Ducasse wrote:

> Thanks a lot
> I copied in the resources folder of 5.7.4
> It crashes.
> Estaban if you want to get an image crashing:
>
> Gofer new
> squeaksource: 'Coral';
> package: 'ConfigurationOfCoral';
> load
>
> and (ConfigurationOfCoral project version: '0.4') load
> as explained in the class comment.
>
> Stef
>
>
>
> On Mar 7, 2011, at 5:00 PM, Esteban Lorenzano wrote:
>
> > Hi Stef,
> > I'm attaching a plugin compiled that *should* work with 5.7.4
> > Please, let me know if it is not the case, and I'll try a fix :)
> >
> > Cheers,
> > Esteban
> >
> > <UnixOSProcessPlugin.bundle.zip>
> >
> >
> > El 07/03/2011, a las 12:17p.m., St?phane Ducasse escribi?:
> >
> >> I tried Squeak4.2.5Beta1U and when I run the tests I get
> >> forkSqueak requires XDisplayControlPlugin
> >> So it seems that I will not be able to run Coral.
> >>
> >> Stef
> >>
> >>
> >>> Thanks david
> >>>
> >>> Apparently my vm does not have any plugin.
> >>> I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
> >>> and apparently when I open an image with OSProcess 4.4.0
> >>> the system crashes. I will try to find a mac vm with plugins.
> >>> But if somebody knows it, this is an information I'm looking for.
> >>> Stef
> >>>
> >>>
> >>> On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:
> >>>
> >>>> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
> >>>>> Hi guys
> >>>>>
> >>>>> I'm updtating the ConfigurationOfCoral and I loaded
> >>>>>
> >>>>>
> >>>>> baseline
> >>>>>
> >>>>> spec project: 'OSProcess' with: [
> >>>>> spec
> >>>>> className: 'ConfigurationOfOSProcess';
> >>>>> file: 'ConfigurationOfOSProcess';
> >>>>> version: '4.4.0';
> >>>>> repository: 'http://www.squeaksource.com/OSProcess' ].
> >>>>>
> >>>>>
> >>>>> version
> >>>>>
> >>>>> spec for: #'common' do: [
> >>>>> spec
> >>>>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
> >>>>> project: 'OSProcess' with: '4.4.0';
> >>>>> package: 'AST-Core' with: 'AST-Core-lr.87';
> >>>>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
> >>>>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
> >>>>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
> >>>>>
> >>>>> and when I run the test I get accessor error.
> >>>>>
> >>>>> Any idea what would be problem?
> >>>>> The VM?
> >>>>>
> >>>>> I use 5.7b3
> >>>>
> >>>> Hi Stef,
> >>>>
> >>>> This probably just means that your VM does not have OSProcessPlugin.
> >>>> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
> >>>> means that you do not have the plugin.
> >>>>
> >>>> Dave
> >>>>
> >>>>
> >>>
> >>>
> >>
> >>
> >
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OSProcess

Stéphane Ducasse

On Mar 7, 2011, at 7:50 PM, David T. Lewis wrote:

> I do not know if it applies here, but the plugins might not be
> interchangeable between Cog and the standard VM. The interpreter
> proxy interfaces are different, and oscog has changes to an internal
> data structure in the file plugin then might cause problems. I
> have not looked at it in detail, so just be aware that there could
> be problems if you use a plugin from the standard VM with cog or
> vice versa.

Ok. Now I do not have cog on my machine because it gets on my nerves to also bind
as a default vm (Probably a mac config files but I'm waiting for an official stable version).

I only use 4.2.5 and 5.7.4
>
> Also, IIRC there were some earlier OS X VMs (maybe 5.7.4???) that
> accidently contained a very old OSPP version, and this version
> could also lead to a crash on OS X.

Ok this is probably the cause of the crash I got. Now with the plugin of esteban I do not know.

>
> Dave
>
>
> On Mon, Mar 07, 2011 at 05:14:48PM +0100, St?phane Ducasse wrote:
>> Thanks a lot
>> I copied in the resources folder of 5.7.4
>> It crashes.
>> Estaban if you want to get an image crashing:
>>
>> Gofer new
>> squeaksource: 'Coral';
>> package: 'ConfigurationOfCoral';
>> load
>>
>> and (ConfigurationOfCoral project version: '0.4') load
>> as explained in the class comment.
>>
>> Stef
>>
>>
>>
>> On Mar 7, 2011, at 5:00 PM, Esteban Lorenzano wrote:
>>
>>> Hi Stef,
>>> I'm attaching a plugin compiled that *should* work with 5.7.4
>>> Please, let me know if it is not the case, and I'll try a fix :)
>>>
>>> Cheers,
>>> Esteban
>>>
>>> <UnixOSProcessPlugin.bundle.zip>
>>>
>>>
>>> El 07/03/2011, a las 12:17p.m., St?phane Ducasse escribi?:
>>>
>>>> I tried Squeak4.2.5Beta1U and when I run the tests I get
>>>> forkSqueak requires XDisplayControlPlugin
>>>> So it seems that I will not be able to run Coral.
>>>>
>>>> Stef
>>>>
>>>>
>>>>> Thanks david
>>>>>
>>>>> Apparently my vm does not have any plugin.
>>>>> I tried to copy the plugin from 4 version to 5.7.3 and 5.7.4
>>>>> and apparently when I open an image with OSProcess 4.4.0
>>>>> the system crashes. I will try to find a mac vm with plugins.
>>>>> But if somebody knows it, this is an information I'm looking for.
>>>>> Stef
>>>>>
>>>>>
>>>>> On Mar 7, 2011, at 2:38 PM, David T. Lewis wrote:
>>>>>
>>>>>> On Mon, Mar 07, 2011 at 11:44:11AM +0100, St?phane Ducasse wrote:
>>>>>>> Hi guys
>>>>>>>
>>>>>>> I'm updtating the ConfigurationOfCoral and I loaded
>>>>>>>
>>>>>>>
>>>>>>> baseline
>>>>>>>
>>>>>>> spec project: 'OSProcess' with: [
>>>>>>> spec
>>>>>>> className: 'ConfigurationOfOSProcess';
>>>>>>> file: 'ConfigurationOfOSProcess';
>>>>>>> version: '4.4.0';
>>>>>>> repository: 'http://www.squeaksource.com/OSProcess' ].
>>>>>>>
>>>>>>>
>>>>>>> version
>>>>>>>
>>>>>>> spec for: #'common' do: [
>>>>>>> spec
>>>>>>> package: 'Filesystem' with: 'Filesystem-DamienPollet.114';
>>>>>>> project: 'OSProcess' with: '4.4.0';
>>>>>>> package: 'AST-Core' with: 'AST-Core-lr.87';
>>>>>>> package: 'PetitParser' with: 'PetitParser-TudorGirba.209';
>>>>>>> package: 'PetitTest' with: 'PetitTests-TudorGirba.28';
>>>>>>> package: 'PetitSmaltalk' with: 'PetitSmalltalk-lr.46'.]
>>>>>>>
>>>>>>> and when I run the test I get accessor error.
>>>>>>>
>>>>>>> Any idea what would be problem?
>>>>>>> The VM?
>>>>>>>
>>>>>>> I use 5.7b3
>>>>>>
>>>>>> Hi Stef,
>>>>>>
>>>>>> This probably just means that your VM does not have OSProcessPlugin.
>>>>>> Try inspecting "OSProcess thisOSProcess" and if the pid is nil, it
>>>>>> means that you do not have the plugin.
>>>>>>
>>>>>> Dave
>>>>>>
>>>>>>
>>>>>
>>>>>
>>>>
>>>>
>>>
>>
>


Loading...